jQuery(document).ready(function() {

	var oEstadoDispositivo  = $('#estado_dispositivo_dispositivo').dataTable( {
		"sPaginationType": "full_numbers",
		"iDisplayLength": 10,
		"sScrollX": "100%",
        "bScrollCollapse": true,           
		"sDom": '<"tbl-tools-searchbox"fl<"clear">>,<"tbl_tools"CT<"clear">>,<"table_content"t>,<"widget-bottom"p<"clear">>',
        
		"oTableTools": {
            "sSwfPath": "../web_tools/swf/copy_cvs_xls_pdf.swf"
        },
		"aoColumnDefs": [ {
			  "aTargets": [ 5 ],
			  "mData": [ 5 ],
			  "mRender": function ( data, type, full ) {			  
				return '<a style="cursor:pointer" onclick="ver_mapa(\''+data+'\');">Ver mapa</a>';
			  }
			}
		]
	});
 
	$("#filtrarBtn").click(function()
	{
		var indice = document.getElementById('estado').selectedIndex;
			var estado = document.getElementById('estado').options[indice].value;
			if(estado == '-1')
				estado = 'null';
			
		var indice = document.getElementById('numero_dispositivo_movil').selectedIndex;
			var numero_dispositivo_movil = document.getElementById('numero_dispositivo_movil').options[indice].value;	
			if(numero_dispositivo_movil == '-1')
				numero_dispositivo_movil = 'null';
	
		var fecha_desde = document.getElementById('fecha_desde_hidden').value;	
		var fecha_hasta = document.getElementById('fecha_hasta_hidden').value;	
		
		oEstadoDispositivo.fnReloadAjax("Modules/estado_de_dispositivos_moviles/libreria_general.php?case=1&estado_id="+
					estado+"&numero_dispositivo_movil="+
					numero_dispositivo_movil+"&fecha_desde="+fecha_desde+"&fecha_hasta="+fecha_hasta);
		$('#loader').addClass('hide');
		
	});
	
});

function ver_mapa(posicion)
{
	$('#ver_mapa').modal('show');
	setTimeout(function(){
	
		pos = posicion.split(";");
		var map_marker = new GMaps({
            div: '#gmap-marker',
            lat: pos[0],
            lng: pos[1],
			width: 800,
			height: 300
        });
        map_marker.addMarker({
            lat: pos[0],
            lng: pos[1],
            click: function(e) {
              alert('You clicked in this marker');
            }
        });			
	},500);
}

function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function filtrar()
{		
	ajax=ajaxs();
	ajax.open('POST', 'Modules/Estado_Dispositivo_Moviles/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=1&estado_id=1&numero_dispositivo_movil=115');
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{
				alert('Se Modifico Correctamente');
			}
			else
			{
				alert('Error!, No Se Pudo Modificar correctamente.');
			}
		}
	}
}
